de.dhbwstuttgart.core

## Interface IItemWithOffset

- All Known Subinterfaces:
    TypeInsertable
  All Known Implementing Classes:
    AddOp, AndOp, ArgumentList, Assign, BaseType, BasicAssumptionClass, Binary, BinaryExpr, Block, BooleanType, BoolLiteral, BoundedGenericTypeVar, CastExpr, CharacterType, CharLiteral, Class, Constant, Constructor, ConstructorCall, DivideOp, DoubleLiteral, DoubleType, EmptyStmt, EqualOp, Expr, ExprStmt, ExtendsWildcardType, Field, FieldDeclaration, FloatLiteral, FloatType, FormalParameter, ForStmt, FreshExtendsWildcardType, FreshSuperWildcardType, FreshWildcardType, FunN, FunNInterface, FunNMethod, GenericDeclarationList, GenericTypeVar, GreaterEquOp, GreaterOp, GTVDeclarationContext, IfStmt, InstanceOf, InstVar, IntegerType, Interface, IntLiteral, LambdaExpression, LambdaParameter, LessEquOp, LessOp, Literal, LocalOrFieldVar, LocalVarDecl, LogOp, LongLiteral, LongType, Method, MethodCall, MinusOp, ModuloOp, MulOp, NegativeExpr, NewArray, NewClass, NotEqualOp, NotExpr, Null, ObjectType, Operator, OrOp, ParameterList, PlusOp, PositivExpr, PostDecExpr, PostIncExpr, PreDecExpr, PreIncExpr, RefType, RelOp, Return, ReturnType, SourceFile, Statement, StringLiteral, SuperCall, SuperWildcardType, SyntaxTreeNode, This, ThisCall, TimesOp, Type, TypePlaceholder, UnaryExpr, UsedId, Void, WhileStmt, WildcardType

      public interface IItemWithOffset

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getOffset()`
    `int` | `getVariableLength()`

- - ### Method Detail

    - #### getOffset

          int getOffset()

    - #### getVariableLength

          int getVariableLength()